// vite.config.js
import vue from "@vitejs/plugin-vue2";
import { defineConfig } from "vite";
import { resolve } from "path";
import peerDepsExternal from "rollup-plugin-peer-deps-external";

export default defineConfig({
  plugins: [vue(), peerDepsExternal()],
  build: {
    lib: {
      /* eslint-env node */
      entry: resolve(__dirname, "src/index.js"),
      name: "vue-draggable-grid",
    },
    output: [
      {
        format: "esm",
        file: "dist/vue-draggable-grid.mjs",
      },
      {
        format: "cjs",
        file: "dist/vue-draggable-grid.js",
      },
    ],
    rollupOptions: {
      output: {
        globals: {
          vue: "Vue",
        },
      },
    },
  },
});
